﻿body {
    font-size: 14px;
    font-family: "Inter", sans-serif;
}
a{
    text-decoration:none;
}
.bg-primary {
    background: var(--primary-color) !important;
}
.btn:focus, .btn:active, .btn:hover, .btn-close:focus, .btn-close:active, .btn-close:hover {
    box-shadow: none !important;
    outline: none !important
}
.btn-primary {
    color: #fff !important;
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
}
.btn-primary:hover, .btn-primary:active, .btn-primary:focus {
    color: #fff;
    background-color: var(--primary-color);
    border-color: var(--primary-color);
    box-shadow:none;
}
.main-sidebar {
    bottom: 0;
    float: none;
    left: 0;
    position: fixed;
    top: 0;
    height: 100vh;
    overflow-y: hidden;
    z-index: 1038;
    transition: margin-left 0.3s ease-in-out, width 0.3s ease-in-out;
    width: 250px;

}
.sidebar-inner {
    display: flex;
    height: 100%;
}
.content-wrapper {
    transition: margin-left 0.3s ease-in-out;
    margin-left: 250px;
}
.brand-image{
    height:70px;
}
.form-control{
    font-size:14px
}
.select2-container--default .select2-selection--single {
    border: 1px solid #ced4da;
    height: 34px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #000;
    line-height: 34px;
    font-size: 14px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 34px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    border-color: #000000 transparent transparent transparent;
}

.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: var(--primary-color);
    color: white;
}
.select2-results__option {
    font-size: 14px;
}
/*custom checkbox*/
.CustomCheckbox input[type="checkbox"] {
    position: relative;
    border: 2px solid #cbd4de;
    border-radius: 2px;
    background: none;
    cursor: pointer;
    line-height: 0;
    margin: 0 .6em 0 0;
    outline: 0;
    padding: 0 !important;
    vertical-align: text-top;
    height: 25px;
    width: 25px;
    -webkit-appearance: none;
    opacity: .7;
}

.CustomCheckbox input[type=checkbox]:hover {
    opacity: 1;
}

.CustomCheckbox input[type=checkbox]:checked {
    background-color: var(--primary-color);
    opacity: 1;
}

.CustomCheckbox input[type="checkbox"]::before {
    content: '';
    position: absolute;
    right: 50%;
    top: 50%;
    width: 7px;
    height: 13px;
    border: solid #FFF;
    border-width: 0 2px 2px 0;
    margin: -1px -1px 0 -1px;
    transform: rotate(45deg) translate(-50%, -50%);
    z-index: 2;
}
 


/*custom checkbox end*/
.sidebar {
    overflow-y: auto;
    height: calc(100vh - 70px);
}

.set-sidebar-h {
    width: 75px;
}
.nav-sidebar .nav-item  a.nav-link {
    padding:5px !important
}
.nav-sidebar li span.menu-text {
    font-size: 12px;
    display: block;
    text-align: center;
    color: #6D6D6D;
    font-family: Inter;
    font-size: 10px;
    margin-top: 5px;
    font-weight: 500;
}
.nav-sidebar li span.menu-box {
    border-radius: 8px;
    border: 1px solid #DDE5EE;
    padding:3px;
    background-color:#fff;
    display:block;
    margin:0 auto;
    width:30px;
    height:30px;
    text-align:center;
}
.nav-sidebar li span.menu-box svg{
    width:20px;
    height:20px;

}
.nav-sidebar .nav-item a.nav-link.active {
    background: none !important;
}
.nav-sidebar .nav-item a.nav-link.active span.menu-box {
    border: 1px solid #1000671A;
    background-color: #1000671A;
}
.nav-sidebar .nav-item a.nav-link.active span.menu-box svg  path{
   fill: var(--primary-color);
}
.nav-sidebar .nav-item a.nav-link.active span.menu-text {
    color: var(--primary-color);
}
.sidebar .dropdown-toggle::after, .no-arrow.dropdown-toggle::after {
    content: none;
}
 
.fs-10px {
    font-size: 10px;
}
.fs-12px {
    font-size: 12px;
}

.fs-14px {
    font-size: 14px;
}
.fs-16px {
    font-size: 16px;
}
.quick-links {
    margin-left: 10px;
}
.quick-links li {
    margin-bottom: 10px;
}
.quick-links li a.active
{
    border-radius: 8px;
    background: #E7E6F0;
    color: var(--primary-color);
}
.quick-links li a.active::after {
    content: "";
    background-image: url('../assets/img/arrow-bg.png');
    position: absolute;
    right: 10px;
    top: 11px;
    width: 14px;
    height: 7px;
    background-size: contain;
    background-repeat: no-repeat;
}

.quick-links li a {
    color: #6F6F6F;
    font-size: 12px;
    text-decoration: none;
    display: block;
    padding: 5px 12px;
    position:relative;
}
.filter-section{
    padding:10px 10px 20px 10px;
}
.quick-links li a:hover, .quick-links li a:focus {
    color: var(--primary-color);
}
.content-wrapper{
    height:100%
}
.content-wrapper{
    padding:15px;
}
.global-search{
    width:250px;
}
.form-control::placeholder {
    font-size: 12px;
    color: #666;
}

.form-control:focus {
    box-shadow: none;
    border-color: var(--primary-color)
}
.global-search .btn:hover, .global-search .btn:focus, .global-search .btn:active {
    background-color:#fff;
}
.custom-table table {
    margin: 0;
}

.custom-table {
    background-color: #fff;
    border-radius: 10px;
    border: 1px solid #dee2e6;
    font-size: 14px;
}

.custom-table thead th {
    background-color: #E7ECF0;
    font-weight: 600;
    border: 0;
    font-size:12px;
    text-transform:uppercase;
}

.custom-table tbody td {
    vertical-align: middle;
    font-size: 12px;
}

.custom-table thead th:first-child {
    border-top-left-radius: 10px;
}

.custom-table thead th:last-child {
    border-top-right-radius: 10px;
}

.prev-next-link {
    color: #535862;
    font-weight: 600;
}

a.page-link {
    color: #667085;
    background-color: #fff;
    border: 0;
    font-weight: 500;
    border-radius: 4px !important
}

a.page-link.active {
    background-color: #E1DCFF;
    color: var(--primary-color)
}
.prev-next-link {
    border-radius: 8px;
    border: 1px solid #E9EAEB;
    background: #FFF;
    box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
    padding:5px 10px;
}
/*css for sorting*/
table thead .sorting:before, table thead .sorting:after, table thead .sorting_asc:before, table thead .sorting_asc:after, table thead .sorting_desc:before, table thead .sorting_desc:after, table thead .sorting_asc_disabled:before, table thead .sorting_asc_disabled:after, table thead .sorting_desc_disabled:before, table thead .sorting_desc_disabled:after {
    bottom: 8px !important;
    position: absolute;
    display: block;
    opacity: 0.3;
    font-size:10px;
}

table thead .sorting:before, table thead .sorting_asc:before, table thead .sorting_desc:before, table thead .sorting_asc_disabled:before, table thead .sorting_desc_disabled:before {
    right: -20px;
    content: "\2191";
    top: 1px;
}

table thead .sorting:after, table thead .sorting_asc:after, table thead .sorting_desc:after, table thead .sorting_asc_disabled:after, table thead .sorting_desc_disabled:after {
    right: -12px;
    content: "\2193";
    top: 1px;
}

table thead .sorting, table thead .sorting_asc, table thead .sorting_desc, table thead .sorting_asc_disabled, table thead .sorting_desc_disabled {
    cursor: pointer;
    position: relative;
}

    table thead .sorting_asc:before, table thead .sorting_desc:after {
        opacity: 1;
    }

.btn-disabled {
    pointer-events: none !important;
    opacity: 50% !important;
}
/*css for sorting end*/

.active-badge {
    border-radius: 16px;
    background: #F8F9FC;
    color:  #089366; 
    font-size: 12px; 
    font-weight: 500; 
    padding:2px 10px;
}
.inactive-badge {
    border-radius: 16px;
    background: #F8F9FC;
    color: #DE3024;
    font-size: 12px;
    font-weight: 500;
    padding: 2px 10px;
}
/* Position modal at top-right */
.modal-dialog {
    position: fixed;
    top: 1rem;
    right: 1rem;
    margin: 0;  
}
.modal-header {
    background-color: #F9F8FF;
    padding: 5px 15px;
}
.btn-close {
    width: 12px;
    height: 12px;
    background-size: 12px;
    opacity:1;
}
 
.userprofile-upload{
    width:75px;
    cursor:pointer;
}
.user-upload-img{
    object-fit:cover;
}
.form-row label{
    font-weight:400;
    font-size:12px;
}

input.datepicker {
    position: relative;
    padding: .375rem .75rem;
}
.modal-sm {
    width: 400px !important;
}
.view-user.form-row label{
    font-weight:bold;
}

.table-permission td, .table-permission th {
    vertical-align: middle;
}
.table-permission tr {
    border-radius: 8px;
    background: #F8F8F8;
    border-color: #f8f8f8;
}
span.fill-control-description {
    position: relative;
    top: 2px;
}
/*custom checkbox Start*/
.custom-control {
    position: relative;
    display: block;
    min-height: 1.5rem;
    padding-left: 1.5rem;
}

.own-checkbox .fill-control-input:checked ~ .fill-control-indicator {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
    background-size: 80%;
}

.fill-control-input {
    display: none;
}

.own-checkbox .fill-control-input:checked ~ .fill-control-indicator {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
    background-size: 65%;
}
.own-checkbox .fill-control-input:disabled ~ .fill-control-indicator {
    opacity: 0.3;
}
.fill-control-indicator {
    border-radius: 3px;
    display: inline-block;
    position: absolute;
    top: 4px;
    left: 2px;
    width: 16px;
    height: 16px;
    border: 1px solid #959595;
    transition: .3s;
    background-color: transparent;
    background-size: 0%;
    background-position: center;
    background-repeat: no-repeat;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3E%3Cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3E%3C/svg%3E");
}

span.fill-control-description {
    font-weight: normal;
    font-size: 14px;
    color: #000;
}

.table-permission {
    border-collapse: separate; 
    border-spacing: 0 5px; 
}
.table-permission th .fill-control-description {
    font-weight:600
}
.crew-tag {
    border-radius: 10px;
    background: #F2F3F7;
    color:  #253858;
    text-align: center;
    font-size: 10px;
    font-weight: 400; 
    padding:2px 10px;
}
.crew-block {
    border-radius: 8px;
    border: 1px solid #DDE5EE;
    background: #FFF;
    padding:12px 15px;
}
.crew-block{
    margin-bottom:15px;
}
.upload-box {
    border: 2px dashed #aaa;
    border-radius: 10px;
    padding: 20px;
    width: 100%;
    text-align: center;
    cursor: pointer;
    margin-bottom: 20px;
    min-height:100px;
    line-height:100px;
}

.upload-area {
    color: #666;
    font-size: 14px;
}

.preview {
    margin-top: 15px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.preview-item {
    position: relative;
    display: inline-block;
}

    .preview-item img {
        width: 80px;
        height: 80px;
        object-fit: cover;
        border: 1px solid #ccc;
        border-radius: 4px;
    }

.remove-btn {
    position: absolute;
    top: 0px;
    right: -10px;
    background: red;
    color: white;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    font-size: 10px;
    width: 20px;
    height: 20px;
     display: flex;
    align-items: center;
    justify-content: center;
    line-height: 1;  
    padding: 0; 
}
.accordion-button:focus {
    box-shadow:none;
}
.fill-control-description.fs-12px{
    font-size:12px;
}


.certification-block img{
    margin-right:10px;
    width:120px;
    height:75px;
    object-fit:cover;
}

.list-image, .select2-results__options li {
    transition: all 0.3s ease;
}

.select2-results__options div:hover img {
    transform: scale(1.2);
}
.icon-img {
    width: 25px;
    height: 25px;
    border-radius:50%;
}
.addcrew .select2-container--default .select2-selection--single {
    border: 1px solid #ced4da;
    height: 40px;
}
.select2-selection__rendered{
    line-height:1
}
.line-h-1 span{
    line-height:1.2;
}
.w-65px{
    width:75px;
}
a.text-dark.col-icon.collapsed span img {
    transform: rotate(180deg);
}
.phase-indicator {
    width: 8px;
    height: 8px;
    display: inline-block;
    border-radius: 50%;
}
.phase1 {
    background-color: #4A37B5
}
.phase2 {
    background-color: #A937B5 
}
.phase3 {
    background-color: #089366
}
.phases-progress .progress {
    display: flex;
    height: 10px;
    background-color: #e9ecef;
    border-radius: 5px;
    overflow: hidden;
}

.phases-progress .progress-bar {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-weight: bold;
}

ul.nav.nav-pills.nav-sidebar.flex-column {
    min-height: calc(100vh - 200px);
}
.actions-bulk svg{
    height:10px;
}
.w-150px{
    width:120px;
}
.filter-select .select2-container--default .select2-selection--single .select2-selection__rendered, .filter-select .select2-results__option {
    font-size: 12px;
}
.actions-bulk .btn:hover, .actions-bulk .btn:focus, .actions-bulk .btn:active{
    background-color:#fff !important;
}
.job-status{
    padding:3px 10px;
}
.job-status.status1 {
    background-color: #FFFAEB;
    color: #B54708
}
.job-status.status2 {
    background-color: #F9F5FF;
    color: #6941C6
}
.job-status.status3 {
    background-color: #EFF8FF;
    color: #175CD3
}
.job-status.status4 {
    background-color: #F9F5FF;
    color: #089366
}
.job-status.status5 {
    background-color: #F9F5FF;
    color: #F60707
}
.job-status.status6{
    background-color: #FFFAEB;
    color: #B54708
}
.job-status.status7 {
    background-color: #FFFAEB;
    color: #B54708
}
.job-status.status8 {
    background-color: #FFFAEB;
    color: #B54708
}
.job-status.status9 {
    background-color: #FFFAEB;
    color: #B54708
}
.actions-bulk.disabled-btn a{
    pointer-events:none;
    opacity:0.4;
}
.top-info svg{
    height:15px;
}
.activity-title {
    padding: 2px 5px;
    letter-spacing: 1px;
    border-radius: 4px;
    font-size: 10px;
    text-transform: uppercase;
}
.activity1 {
    background: rgba(59, 130, 246, 0.08);
    color: #3B82F6;
}
.activity2 {
    background: rgba(139, 92, 246, 0.08);
    color: #8B5CF6;
}
.activity3 {
    background: rgba(245, 158, 11, 0.08);
    color: #F59E0B;
}
.activity4 {
    background: rgba(16, 185, 129, 0.08);
    color: #10B981;
}
.activity5 {
    background: rgba(6, 182, 212, 0.08);
    color: #06B6D4;
}
.maxheight-300px {
    max-height:300px;
    overflow-y:auto
}

/* For WebKit browsers (Chrome, Safari, Edge) */
.scrollable-content::-webkit-scrollbar {
    width: 5px; /* vertical scrollbar width */
    background-color: #f5f5f5; /* scrollbar background */
}

.scrollable-content::-webkit-scrollbar-thumb {
    background-color: grey; /* thumb color */
    border-radius: 3px; /* rounded corners */
}

.scrollable-content::-webkit-scrollbar-track {
    background-color: #ddd; /* track color */
}
.top-status-steps .progress {
    height: 8px;
}
.text-primary{
    color:var(--primary-color) !important
}
.phase-sub-block .btn svg{
    height:15px;
}
.bg-danger-custom {
    background: #FFF9F7;
}
.bg-warning-custom {
    background: #FFFCF4;
}
.bg-success-custom {
    background: #F4FEFF;
}
.bg-primary-custom {
    background: #F8F8FF;
}
.phase-sub-block {
    border-radius: 8px;
    padding: 10px 15px;
}
.phase-complete, .phase-complete:hover, .phase-complete:active, .phase-complete:focus {
    padding: 10px 16px;
    border-radius: 8px;
    border: 1px solid var(--primary-color);
    background: #FAF6FF;
    box-shadow: 0 1px 2px 0 rgba(10, 13, 18, 0.05);
    color:  var(--primary-color);
    font-size:12px;
}
.small-preview .preview {
    width: 100%;
    justify-content: start;
}
.small-preview-item img{
    width:50px;
    height:50px;
}
.approve-check {
    color: #089366;
    background-color: #EAFFF0;
    padding:3px 10px;
    font-size:12px;
}
.approved-images img{
    width:35px;
    height:35px;
    border-radius:4px;
    margin-right:5px;
}
.approved-text {
    color: #089366;
}
.rejected-text {
    color: red;
}
.rejected-text svg {
    height: 12px;
    color: red;
}
.rejected-text svg path{
    fill: red;
}
.action-dots:hover, action-dots:focus, action-dots:active, .action-dots.show {
    background-color: #fff !important
}
.approve-badge {
    border-radius: 50px;
    background: #089366;
    padding:3px 10px;
    font-size:10px;
    color:#fff;
}
.reject-badge {
    border-radius: 50px;
    background: #BE123C;
    padding: 3px 10px;
    font-size: 10px;
    color: #fff;
}
.disabled-link{
    pointer-events:none;
    opacity:0.4;
}
.custom-select-option .select2-selection {
    display: none;
}
#jobcalendar {
    max-width: 1100px;
    margin: 0 auto;
    font-family: "Inter", sans-serif;
}
    #jobcalendar .fc-button {
        font-size: 12px;
        text-transform: capitalize;
        font-family: "Inter", sans-serif;
    }
    #jobcalendar .fc-toolbar-title {
        font-size: 14px;
        font-family: "Inter", sans-serif;
    }
#jobcalendar a {
color: #000;
font-family: "Inter", sans-serif;
}
/* Custom classes per job/state */
.event1 {
    border-left: 3px solid #BE123C;
    background: #FFE4E6;
}

.event2 {
    border-left: 4px solid #BE123C;
    background: #FFE4E6;
}

.event3 {
    border-left: 4px solid #8B5CF6;
    background: #E6E7FF;
}

.event4 {
    border-left: 4px solid #0EA5E9;
    background: #E7F6FD;
}

.event5 {
    border-left: 4px solid #0EA5E9;
    background: #E7F6FD;
}
.event6 {
    border-left: 4px solid #047857;
    background: #E8F8F3;
}
.event7 {
    border-left: 4px solid #BE123C;
    background: #FFE4E6;
}
.fc .fc-daygrid-event {
    margin-top: 1px;
    z-index: 6;
    border-top: 0;
    border-right: 0;
    border-bottom: 0;
    color: #000 !important;
    padding-left: 10px;
    font-family: "Inter", sans-serif;
}
.fc-h-event .fc-event-main {
    color: #000 !important;
    font-family: "Inter", sans-serif;
}

.status-pending {
    border-radius: 16px;
    background: #FDF2FA;
    color: #C11574;
    padding: 3px 10px;
    font-weight: 500;
}
.status-pending-payment {
    border-radius: 16px;
    background: #EEF4FF;
    color: #3538CD;
    padding: 3px 10px;
    font-weight: 500;
}
.status-paid {
    border-radius: 16px;
    background: #ECFDF3;
    color: #027A48;
    padding: 3px 10px;
    font-weight: 500;
}
.invoice-info .text-danger {
    color: #E16338
}
.status-failed {
    border-radius: 16px;
    background: #FEF3F2;
    color: #B42318;
    padding: 3px 10px;
    font-weight: 500;
    font-size:12px;
}
.edit-phase-amt-div{
    width:200px;
}
.assign-person  .select2-container--default .select2-selection--single {
    border: none;
    background-color: transparent;
}
.assign-person .select2-container--default .select2-selection--single .select2-selection__rendered {
    font-size: 12px;
}
.vehicle-card {
    border-radius: 8px;
    border: 1px solid #DDE5EE;
    background: #FFF;
    margin-bottom:15px;
}
.vehicle-card-info{
    padding:15px 10px;
}
.vehicl-num-tag {
    border-radius: 3px;
    background: #B3D4FF;
    color: #0747A6;
    padding:3px 10px;
    font-size:10px;
}
.vehicle-img {
    width: 100%;
    height: 120px;
    object-fit: cover;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}
.vehicle-icon{
    height:20px;
}
.top-actions{
    position:absolute;
    top:0;
    width:100%;
    padding:10px
}
.top-actions .action-drop {
    width: 25px;
    height: 25px;
    text-align: center;
    display: block !important;
    line-height: 25px;
}
.vehicle-status-tag {
    border-radius: 3px;
    padding: 3px 10px;
    font-size: 10px;
    background-color: #fff;
    font-weight: 500;
}
.v-status1 {
    color: #089366;
}
.v-status2 {
    color: #0747A6;
}
.v-status3 {
    color: #E16338;
}
.btn-purple, .btn-purple:hover, .btn-purple:active, .btn-purple:focus {
    background-color: #E2DDFF;
}
.tool-status {
    border-radius: 16px;
    background: #F8F9FC;
    font-size: 12px;
    font-weight: 500;
    padding: 2px 10px;
}
.tool-status.new{
    color: var(--primary-color);
}
.tool-status.unassigned {
    color: #DE3024
}
.tool-status.assigned {
    color: #089366
}
.tool-status.u-calibration {
    color: #aaaa46
}
.phase-sub-block{
    margin-bottom:5px;
}
.incomplete-block {
    border: 1px solid red;
    padding: 10px;
    border-radius: 10px;
}